# Roralink - Robot Radio Link

Seamless roaming between two network links for a robot. Typically a wired
and a wireless interface. Using active/passive model.

The main network is typically a wired connection between the robot
and the LAN, and the backup connection a wifi connection using a WDS wifi
bridge.

If the wifi is a simple local wifi interface, it needs to use an address
on a different network than the wired one.

Uses a simple TUN tunnel encapsulting the traffic in an unconnected UDP
connection.

Everyting is handled in one process that sets up the TUN interface and the
UDP connection, monitors the link status of the interfaces and manipulates
the routing table to ensure that the trafic goes through the tunnel while
roralink is active.

The roralink daemon can be integrated in a wifi client router running
OpenWRT or LEDE to make a self-contained device.

## Server - base station

Currently OpenBSD

uses pf (rdr-to and nat-to) to provide a IP address on the same LAN than the
base station. roraserver is started through /etc/hostname.tunN

  inet 10.68.1.253/32 10.68.1.254
  ! /usr/local/sbin/roraserver -4

## Client - robot

roraclient -g <backup gateway> -m <main_if> <server>

